<template>
  <LoadingLayout :loading="isLoading">
    <AppContainer>
      <PageFormLayout>
        <ProForm :model="detail" ref="formRef" label-width="140px">
          <ProFormCol>
            <ProFormColItem :span="8">
              <ProFormItemV2 label="企业名称:" prop="serveName" mode="read">
                <ProFormText v-model.trim="detail.categoryName" />
              </ProFormItemV2>
            </ProFormColItem>
            <ProFormColItem :span="8">
              <ProFormItemV2 label="统一社会信用代码:" prop="serveName" mode="read">
                <ProFormText v-model.trim="detail.categoryName" />
              </ProFormItemV2>
            </ProFormColItem>
            <ProFormColItem :span="8">
              <ProFormItemV2 label="企业类型:" prop="serveName" mode="read">
                <ProFormText v-model.trim="detail.categoryName" />
              </ProFormItemV2>
            </ProFormColItem>
          </ProFormCol>
          <ProFormCol>
            <ProFormColItem :span="8">
              <ProFormItemV2 label="所属园区:" prop="serveName" mode="read">
                <ProFormText v-model.trim="detail.categoryName" />
              </ProFormItemV2>
            </ProFormColItem>
            <ProFormColItem :span="8">
              <ProFormItemV2 label="园区类型:" prop="serveName" mode="read">
                <ProFormText v-model.trim="detail.categoryName" />
              </ProFormItemV2>
            </ProFormColItem>
          </ProFormCol>
          <ProFormCol>
            <ProFormColItem :span="8">
              <ProFormItemV2 label="开户银行:" prop="serveName" mode="read">
                <ProFormText v-model.trim="detail.categoryName" />
              </ProFormItemV2>
            </ProFormColItem>
            <ProFormColItem :span="8">
              <ProFormItemV2 label="银行帐号:" prop="serveName" mode="read">
                <ProFormText v-model.trim="detail.categoryName" />
              </ProFormItemV2>
            </ProFormColItem>
          </ProFormCol>
          <ProFormCol>
            <ProFormColItem :span="8">
              <ProFormItemV2 label="营业执照:" prop="serveName" mode="read">
                <!-- <ProFormUpload v-model:file-url="detail.covers"></ProFormUpload> -->
              </ProFormItemV2>
            </ProFormColItem>
          </ProFormCol>
        </ProForm>
      </PageFormLayout>
    </AppContainer>
  </LoadingLayout>
</template>

<script setup lang="ts">
import {
  LoadingLayout,
  AppContainer,
  PageFormLayout,
  ProForm,
  ProFormCol,
  ProFormColItem,
  ProFormItemV2,
  ProFormText,
  ProFormUpload,
} from '@bole-core/components';
import { useQuery } from '@tanstack/vue-query';
import * as informationServices from '@/services/api/Information';

defineOptions({
  name: 'EnterpriseBasicInfoView',
});

const route = useRoute();
const id = route.params?.id as string;

const { data: detail, isLoading } = useQuery({
  queryKey: ['informationServices/getInformationShowDetail', id],
  queryFn: async () => {
    return await informationServices.getInformationShowDetail(
      { id: id },
      {
        showLoading: false,
      }
    );
  },
  placeholderData: () => ({} as API.InformationShowDetailDto),
});
</script>

<style lang="scss" scoped>
@use '@/style/common.scss' as *;
</style>
